/**
 * FormValidation (https://formvalidation.io)
 * The best validation library for JavaScript
 * (c) 2013 - 2023 Nguyen Huu Phuoc <me@phuoc.ng>
 */

import { Plugin } from '@form-validation/core';

export interface TypingAnimationOptions {
    autoPlay?: boolean;
    data: {
        [field: string]: string[];
    };
}

export class TypingAnimation extends Plugin<TypingAnimationOptions> {
    constructor(opts?: TypingAnimationOptions);
}
